Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004118TestLinkTest Plan (builds, milestones, test assign)public2010-12-21 22:282011-01-22 15:11
ReporterHobbit159 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFireFox 3.6.13OSWindowOS Version7
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004118: Copy Test plan feature is not copying test cases
DescriptionI have a couple of test plans that I was wanting to copy. I went under the Test Plan Manager and used the create from existing test plan drop down select the plan I wanted to use and made sure copy test cases was selected. I made sure all the options were checked.

I then selected the create button at the bottom of the screen.

The system seems to create the plan , but when I look under execute I have not test cases assigned.

We copy a number of our test plans as we do a certain set on each build so this is useful feature for us.

I am currently in-process of determining if we will upgrade to 1.9 and was part of my testing.
Steps To Reproduce1. Have a test plan with test cases assigned for execution and user assignments and a build.
2. Create a new test plan using the option to create from existing test plan.
3. Make sure all options are checked then hit create.
4. Once the plan is listed select that plan as the current test plan at the top right of the main screen and then select execute. It should open listing test cases added to the plan already, however it comes up listing no test cases.

Additional InformationThis worked on beta6 of 1.9 as I tested in that release.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql on Xampp
BrowserFirefox 3.6.13
PHP VersionPHP 5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-4118.zip [^] (35,165 bytes) 2011-01-04 14:16

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013070)
Hobbit159 (reporter)
2010-12-22 13:41

Did some further testing and noticed a slightly different results.

I have tw0 platforms setup one has the test cases assigned to a user and one does not. On of them is getting copied and the other is not. The assigned test case seem to get copied.

I further did the copy again and unchecked the copy assigned to option and it still copied only the assigned test cases.

Do test cases have to be assigned to a user in a test plan to be copied?
(0013146)
asimon (developer)
2011-01-04 14:15

Did a commit to testplan class and fixed it for 1.9 and head.
(0013377)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-12-21 22:28 Hobbit159 New Issue
2010-12-22 13:41 Hobbit159 Note Added: 0013070
2011-01-04 14:15 asimon Note Added: 0013146
2011-01-04 14:16 asimon File Added: fix-4118.zip
2011-01-04 14:16 asimon Status new => resolved
2011-01-04 14:16 asimon Fixed in Version => 1.9.1 (bug fixing)
2011-01-04 14:16 asimon Resolution open => fixed
2011-01-04 14:16 asimon Assigned To => asimon
2011-01-04 14:16 asimon Relationship added child of 0004039
2011-01-22 15:11 fman Note Added: 0013377
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker